body {
    font-family: 'Montserrat', sans-serif;
    background-color: black;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    text-align: center;
}

h1 {
    font-size: 25pt;
    font-weight: 800; /* Montserrat ExtraBold */
    margin: 0;
}

p {
    font-size: 15pt;
    font-weight: 500; /* Montserrat Medium */
    margin: 0 0 20px;
}

label {
    font-size: 15pt;
    font-weight: 400; /* Montserrat Regular */
}

input {
    font-size: 15pt;
    padding: 5px;
    background-color: #404040;
    color: white;
    border: none;
    margin-top: 10px;
    border-radius: 5px;
}

button {
    font-size: 15pt;
    padding: 5px 10px;
    cursor: pointer;
    margin-top: 20px;
    border-radius: 5px;
}

.spacer {
    height: 100px;
}

.footer {
    font-size: 12pt;
    font-weight: 200; /* Montserrat Light */
    color: red;
    position: absolute;
    bottom: 20px;
}

#errorMessage {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #444444;
    color: white;
    font-size: 20pt;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 20px;
    box-sizing: border-box;
}

.error-content {
    display: flex;
    flex-direction: column;
    align-items: center;
}
